--[[************************************************************************************************************************************************************
    
    extraFillTypes v1.0
    
    08/2013 by Saty / http://forum.lsczech.cz
    
****************************************************************************************************************************************************************
    
    (EN) INFO
    
    Free for use on mods. Modifications only with my permission !
    
****************************************************************************************************************************************************************
    
    (CZ) INFO
    
    Pro volne pouziti v modech. ZAKAZ modifikaci bez meho souhlasu !
    
    --------------------------------------------------------------------------------------------------------------------------------------------------------    
    
    Zapis do XML souboru stroje :
    *****************************
    
    <fillTypes fillTypes="" />            - klasicky zapis plodin pro Fillable [sem zapsat pouze zakladni plodiny (wheat barley rape maize ...)]
    <extraFillTypes fillTypes="" />        - zapis pro extra plodiny [sem zapsat ostatni plodiny (oat rye triticale mohn sunflower ...)]
    
    --------------------------------------------------------------------------------------------------------------------------------------------------------    
    
    Zapis do souboru modDesc.xml :
    ******************************
    
    vsadit do <specializations> :
        <specialization name="extraFillTypes"  className="extraFillTypes"  filename="scripts/extraFillTypes.lua"/>
    
    vsadit do <vehicleTypes> :
        <specialization name="extraFillTypes" />
    
************************************************************************************************************************************************************]]--

extraFillTypes = {};

function extraFillTypes.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Fillable, specializations);
end;

function extraFillTypes:load(savegame)
    local extraFillTypes = getXMLString(xmlFile, "vehicle.extraFillTypes#fillTypes");
    if extraFillTypes ~= nil then
        local types = Utils.splitString(" ", extraFillTypes);
        for k,v in pairs(types) do
            local extraFillTypes = Fillable.fillTypeNameToInt[v];
            if extraFillTypes ~= nil then
                self.fillTypes[extraFillTypes] = true;
            end;
        end;
    end;
end;

function extraFillTypes:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
end;

function extraFillTypes:getSaveAttributesAndNodes(nodeIdent)
end;

function extraFillTypes:update(dt)
end;

function extraFillTypes:updateTick(dt)
end;

function extraFillTypes:delete()
end;

function extraFillTypes:readStream(streamId, connection)
end;

function extraFillTypes:writeStream(streamId, connection)
end;

function extraFillTypes:mouseEvent(posX, posY, isDown, isUp, button)
end;

function extraFillTypes:keyEvent(unicode, sym, modifier, isDown)
end;

function extraFillTypes:draw()
end;

function extraFillTypes:onDeactivate()
end;